PR_MCE_KILL_CLEAR(2const)

NAME
PR_MCE_KILL_CLEAR - clear the machine check memory corruption kill policy

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_MCE_KILL, PR_MCE_KILL_CLEAR, 0L, 0L, 0L);

DESCRIPTION
Clear the thread memory corruption kill policy and use the system-wide default.

RETURN VALUE
On success, 0 is returned. On error, -1 is returned, and errno is set to indicate the error.

FILES

/proc/sys/vm/memory_failure_early_kill
    This file defines the system-wide default.

STANDARDS
Linux.

HISTORY
Linux 2.6.32.

SEE ALSO
prctl(2), PR_MCE_KILL(2const), proc_sys_vm(5)